<template>
  <v-container class="fill-height" fluid>
    <v-row align="center" justify="center">
      <v-col cols="12" sm="8" md="8">
        <v-card class="elevation-12">
          <!-- <v-window v-model="step">
            <v-window-item :value="1"> -->
          <v-row>
            <v-col cols="12" md="8">
              <v-card-text class="mt-12">
                <h1 class="text-center display-2 blue--text">Sign in</h1>
                <v-form>
                  <v-text-field
                    label="Username"
                    v-model="username"
                    type="text"
                    prepend-icon="mdi-email"
                    color="blue accent-3"
                    required
                    :rules="usernameRules"
                  ></v-text-field>
                  <v-text-field
                    label="Password"
                    v-model="password"
                    type="password"
                    prepend-icon="mdi-lock"
                    color="blue accent-3"
                    required
                    :rules="passwordRules"
                  ></v-text-field>
                </v-form>
                <div class="text-center mt-3">
                  <v-btn
                    rounded
                    color="blue accent-3"
                    dark
                    :disabled="!valid"
                    @click="doLogin()"
                    >Sign In</v-btn
                  >
                </div>
              </v-card-text>
            </v-col>
            <v-col cols="12" md="4" class="blue accent-3">
              <v-card-text class="white--text mt-12">
                <h1 class="text-center display-1">Hello</h1>
                <h5 class="text-center">Enter your personal details</h5>
              </v-card-text>
              <div class="text-center">
                <v-btn rounded outlined dark @click="step++">Sign Up</v-btn>
              </div>
            </v-col>
          </v-row>
          <!-- </v-window-item>
          </v-window> -->
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import HTTP from "@/service/Api";
export default {
  data: () => ({
    valid: true,
    username: "",
    usernameRules: [(v) => !!v || "Username is required"],
    password: "",
    passwordRules: [(v) => !!v || "Password is required"],
    result: null,
  }),
  methods: {
    doLogin() {
      HTTP.post(
        `oauth/token?grant_type=password&username=${this.username}&password=${this.password}`
      )
        .then((response) => {
          this.result = response.data;
          console.log("isi result", this.result);
        })
        .catch((error) => {
          console.log("AXIOS ERROR", error);
        });
    },
  },
};
</script>